// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [{
  path: '/',
  name: 'index',
  component: BasicLayout,
  meta: {
    title: '首页'
  },
  redirect: '/home',
  children: [{
    path: '/home',
    name: 'home',
    redirect: '/home',
    component: PageView,
    meta: {
      title: '首页',
      icon: 'home'
    },
    hideChildrenInMenu: true,
    children: [{
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
      meta: {
        title: '首页',
        icon: 'home',
        hide: true
      }
    }
    ]
  },
  {
    path: '/changePwd',
    name: 'changePwd',
    component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
    meta: {
      title: '修改密码',
      icon: 'home'
    },
    hidden: true
  },
  // 销售管理
  {
    path: '/salesManagement',
    redirect: '/salesManagement/salesQuery',
    component: PageView,
    meta: {
      title: '销售管理',
      icon: 'account-book'
      // permission: 'M_salesManagement'
    },
    children: [
      {
        path: '/salesManagement/salesQuery',
        redirect: '/salesManagement/salesQuery/list',
        name: 'salesQuery',
        component: RouteView,
        meta: {
          title: '销售单查询',
          icon: 'monitor'
          // permission: 'M_salesQuery_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: 'list',
            name: 'salesQueryList',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
            meta: {
              title: '销售单列表',
              icon: 'menu',
              hidden: true
              // permission: 'M_salesQuery_list'
            }
          },
          {
            path: 'detail/:id',
            name: 'salesDetail',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/salesDetail.vue'),
            meta: {
              title: '销售单明细',
              icon: 'read',
              hidden: true
              // permission: 'M_salesDetail'
            }
          },
          {
            path: 'salesNew',
            name: 'salesNew',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/salesNew.vue'),
            meta: {
              title: '新建销售单',
              icon: 'plus-square',
              hidden: true
              // permission: 'M_salesNew'
            }
          },
          {
            path: 'salesEdit/:id',
            name: 'salesEdit',
            component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/salesNew.vue'),
            meta: {
              title: '修改销售单',
              icon: 'edit',
              hidden: true
              // permission: 'M_salesNew'
            }
          }
        ]
      },
      {
        path: '/salesManagement/customerManagement',
        redirect: '/salesManagement/customerManagement/list',
        name: 'customerManagement',
        component: RouteView,
        meta: {
          title: '客户管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/salesManagement/customerManagement/list',
            name: 'customerManagementList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/salesManagement/customerManagement/list.vue'),
            meta: {
              title: '客户列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/salesManagement/customerManagement/add',
            name: 'customerManagementAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/salesManagement/customerManagement/edit.vue'),
            meta: {
              title: '新增客户',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/salesManagement/customerManagement/edit/:id',
            name: 'customerManagementEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/salesManagement/customerManagement/edit.vue'),
            meta: {
              title: '编辑客户',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      }
    ]
  },
  // 库存管理
  {
    path: '/inventoryManagement',
    redirect: '/inventoryManagement/inventoryQuery',
    component: PageView,
    meta: {
      title: '库存管理',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/inventoryManagement/inventoryQuery',
        redirect: '/inventoryManagement/inventoryQuery/list',
        name: 'inventoryQuery',
        component: RouteView,
        meta: {
          title: '库存查询',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/inventoryManagement/inventoryQuery/list',
            name: 'inventoryQueryList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/list.vue'),
            meta: {
              title: '库存列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/inventoryManagement/inventoryQuery/warehouseDetail/:id',
            name: 'inventoryQueryWarehouseDetail',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/warehouseDetail.vue'),
            meta: {
              title: '出入库明细',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/inventoryManagement/inventoryWarning',
        name: 'inventoryWarningList',
        component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryWarning/list.vue'),
        meta: {
          title: '库存预警',
          icon: 'flag'
          // permission: 'M_goodsShelves_0'
        }
      }
    ]
  },
  // 采购管理
  // 散件管理
  // 产品管理
  {
    path: '/productManagement',
    redirect: '/productManagement/productInfo',
    component: PageView,
    meta: {
      title: '产品管理',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/productManagement/productInfo',
        redirect: '/productManagement/productInfo/list',
        name: 'productInfo',
        component: RouteView,
        meta: {
          title: '产品信息管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/productManagement/productInfo/list',
            name: 'productInfoList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/list.vue'),
            meta: {
              title: '产品信息列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/productManagement/productInfo/add',
            name: 'productInfoAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
            meta: {
              title: '新增产品',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/productManagement/productInfo/edit/:id',
            name: 'productInfoEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
            meta: {
              title: '编辑产品',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      },
      {
        path: '/productManagement/productBrand',
        redirect: '/productManagement/productBrand/list',
        name: 'productBrand',
        component: RouteView,
        meta: {
          title: '产品品牌管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/productManagement/productBrand/list',
            name: 'productBrandList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productBrand/list.vue'),
            meta: {
              title: '产品品牌列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          }
        ]
      },
      {
        path: '/productManagement/productCategory',
        redirect: '/productManagement/productCategory/list',
        name: 'productCategory',
        component: RouteView,
        meta: {
          title: '产品类别管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/productManagement/productCategory/list',
            name: 'productCategoryList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
            meta: {
              title: '产品类别列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          }
        ]
      }
    ]
  },
  // 基础资料
  {
    path: '/basicData',
    redirect: '/basicData/supplierManagement',
    component: PageView,
    meta: {
      title: '基础资料',
      icon: 'shop'
      // permission: 'M_shop'
    },
    children: [
      {
        path: '/basicData/supplierManagement',
        redirect: '/basicData/supplierManagement/list',
        name: 'supplierManagement',
        component: RouteView,
        meta: {
          title: '供应商管理',
          icon: 'shopping'
          // permission: 'M_goodsManage_list'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/basicData/supplierManagement/list',
            name: 'supplierManagementList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/supplierManagement/list.vue'),
            meta: {
              title: '供应商列表',
              icon: 'shopping',
              hidden: true
              // permission: 'M_goodsManage_list'
            }
          },
          {
            path: '/basicData/supplierManagement/add',
            name: 'supplierManagementAdd',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/supplierManagement/edit.vue'),
            meta: {
              title: '新增供应商',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          },
          {
            path: '/basicData/supplierManagement/edit/:id',
            name: 'supplierManagementEdit',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/supplierManagement/edit.vue'),
            meta: {
              title: '编辑供应商',
              icon: 'shopping',
              hidden: true
              // permission: 'B_goodsManage_edit'
            }
          }
        ]
      }
    ]
  },
  // 财务管理
  // auth
  {
    path: '/auth',
    redirect: '/auth/userList',
    component: PageView,
    meta: {
      title: '权限管理',
      icon: 'lock',
      permission: 'M_auth_0'
    },
    children: [{
      path: '/auth/userList',
      name: 'powerUserList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
      meta: {
        title: '用户管理',
        icon: 'user',
        permission: 'M_auth_userList'
      }
    },
    {
      path: '/auth/roleList',
      name: 'powerRoleList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
      meta: {
        title: '角色管理',
        icon: 'solution',
        permission: 'M_auth_roleList'
      }
    }
    ]
  },
  {
    path: '/setting',
    redirect: '/setting/userList',
    component: PageView,
    meta: {
      title: '系统设置',
      icon: 'setting',
      permission: 'M_setting_0'
    },
    children: [{
      path: '/setting/dataDictionary',
      name: 'powerDD',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/dataDictionary/dataDictionary.vue'),
      meta: {
        title: '数据字典管理',
        icon: 'database',
        permission: 'M_sys_dataDictionary'
      }
    },
    // {
    //   path: '/setting/register',
    //   name: 'powerRegister',
    //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
    //   meta: {
    //     title: '参数管理',
    //     icon: 'key',
    //     permission: 'M_sys_register'
    //   }
    // },
    {
      path: '/setting/OperateJournal',
      name: 'powerOperateJournal',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/OperateJournal/OperateJournal.vue'),
      meta: {
        title: '操作日志',
        icon: 'read',
        permission: 'M_operateJournal'
      }
    }
    ]
  }
  ]
},
{
  path: '*',
  redirect: '/404',
  hidden: true
}
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
